> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Debit Child Account



## OpenAPI

````yaml openapi.json post /child/debit
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /child/debit:
    parameters: []
    post:
      tags:
        - Child Accounts
        - Merchant
      summary: Debit Child Account
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: null
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '893'
            ETag:
              schema:
                type: string
              example: W/"37d-Ccn02ScXGgYpixPZTZ2tQlqEMgM"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Thu, 25 Jul 2024 12:22:26 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Debit Child Account - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      paidAt:
                        type: string
                        format: date-time
                      charges:
                        type: integer
                      description:
                        type: string
                      mode:
                        type: string
                      status:
                        type: string
                      amount:
                        type: integer
                      walletId:
                        type: string
                      merchantId:
                        type: string
                      totalAmount:
                        type: integer
                      transactionReference:
                        type: string
                      childAccountId:
                        type: string
                      childAccountName:
                        type: string
                      childAccountNumber:
                        type: string
                        format: utc-millisec
                      narration:
                        type: string
                      customerMetadata:
                        type: object
                        properties:
                          userId:
                            type: string
                      beneficiaryBankCode:
                        type: string
                        format: color
                      beneficiaryBankName:
                        type: string
                      beneficiaryAccountName:
                        type: string
                      beneficiaryAccountNumber:
                        type: string
                        format: utc-millisec
                      originatorAccountName:
                        type: string
                      originatorAccountNumber:
                        type: string
                        format: utc-millisec
                      transactionId:
                        type: string
              example:
                status: true
                message: Account successful debited
                data:
                  paidAt: '2024-07-25T13:22:23+01:00'
                  charges: 20
                  description: ₦500.00 debitted from child account Abdulrahman
                  mode: SANDBOX
                  status: SUCCESS
                  amount: 500
                  walletId: d68b7371-6709-4247-99b3-142e3130aa69
                  merchantId: 1f18305f-851a-4266-bdc6-6fc1525928cf
                  totalAmount: 500
                  transactionReference: sVjykdGhVfeM0P0q49PgaJB5Sbyv3jN13IwC
                  childAccountId: 5e37f271-a3ba-4cd7-ab14-551da019bb5a
                  childAccountName: Abdulrahman
                  childAccountNumber: '7838488742'
                  narration: Testing debit transaction
                  customerMetadata:
                    userId: testing123
                  beneficiaryBankCode: '999270'
                  beneficiaryBankName: Xpress Wallet
                  beneficiaryAccountName: Neyosoft
                  beneficiaryAccountNumber: '4409794005'
                  originatorAccountName: Abdulrahman
                  originatorAccountNumber: '7838488742'
                  transactionId: 31762bf9-cfbf-4827-bdea-00505cfdfb21
        '400':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '48'
            ETag:
              schema:
                type: string
              example: W/"30-aqqytCmPKBFS9CoF8OgEUCLt1nQ"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 24 Jul 2024 23:54:09 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Debit Child Account - Inactive account
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
              example:
                status: false
                message: Account is inactive
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````